Subject: RE: WG management (was Re: WG Review: IPv6 Operations (v6ops) )

From: "Bound, Jim" <[email-masked]>
Date: Mon, 9 Sep 2002 23:18:27 -0400

The AD making sure the process works is fine and if thats the view of silence vs no-silence thats fine.  But my fear is that whether a working group is on board or not on board could be a "subjective" call and that makes me nervous ok.  I am fine when objectivity is used.  I agree with you it is important to make sure things are baked.  But driving for perfection is absurd and then the its not baked but overdone.  Getting it baked but not overdone is a fine line.  We will never ever produce a spec that cannot be made better or an architecture.  The trick is to move it along so it can be implemented and then see if the market will use it.  We do that often with PS.  The bar at this point for PS is to high and wrong.

/jim

> -----Original Message-----
> From: Thomas Narten [mailto:[email-masked]]
> Sent: Friday, September 06, 2002 2:20 PM
> To: Bound, Jim
> Cc: [email-masked]
> Subject: WG management (was Re: WG Review: IPv6 Operations (v6ops) )
> 
> 
> This is a bit off topic, but I want to respond anyway.
> 
> "Bound, Jim" <[email-masked]> writes:
> 
> > Don't get me wrong I would love to see the IETF move faster, better,
> > and lately in a more fair process.  And one thing that would really
> > help is something I said to Scott Bradner (one of the area directors
> > I keep voting for fyi and him an allison run one of the most
> > efficient areas in the IETF and why I have hopes for RDMA in the
> > IETF) at a plenary about 2 years ago is: "It is imperative that
> > "consistency" be used across the IETF.
> 
> I am in support of consistency, where it make sense. 
> 
> > For example lets take the silence vs no silence for consensus in a
> > working group. One does one thing the other does the other.
> 
> There are good reasons for this. In some WGs, the WG never says
> (hardly) anything, even when something seems like a bad or even
> dangerous idea. The WG chairs (and ADs) are supposed to ensure that
> specs are baked and won't cause problems when deployed. So, asking for
> explicit support is a useful tool to force people to come out and say
> "I have looked at this, and I think it is good stuff". One doesn't
> always need this. It depends on the WG and the specific document at
> hand. I (as an AD) have asked to see explicit WG support when I have
> concerns about a document and it seems like nobody is actually looking
> at the document and it seems like a document is moving forward only
> because nobody seems to be objecting. If no one is willing to speak up
> on behalf of a document (other than the authors) that is often cause
> for concern...
> 
> > For processes of governing I think this should be consistent whether
> > I am working on IPv6 transition or Routing or SCTP.  It is not
> > today.  Also Area Directors need to be more like "managers" than
> > "engineers". And leave technical work to us in the working group
> > and the chairs. 
> 
> ADs are (and need to be) both. ADs certainly believe they are
> obligated to ensure that specs are baked and complete from a technical
> perspective. This is not just a managerial function, it requires being
> able to do technical assessments and reviews. The motivation comes
> straight out of RFC 2026.
> 
> If the ADs don't intervene when there are technical problems with a
> document, who will?
> 
> Thomas
>